﻿
Imports Infragistics.Win.UltraWinGrid.ExcelExport
Imports Infragistics.Excel

Public Class Form1

    Private Function GetColumnData() As DataTable
        Dim mydata As New DataTable()
        'Define the columns and their names
        mydata.Columns.Add("Series Labels", GetType(String))
        mydata.Columns.Add("Column A", GetType(Integer))
        mydata.Columns.Add("Column B", GetType(Integer))
        mydata.Columns.Add("Column C", GetType(Integer))
        mydata.Columns.Add("Column D", GetType(Integer))
        'Add the rows of data
        mydata.Rows.Add(New [Object]() {"Series A", 1, 4, 10, 4})
        mydata.Rows.Add(New [Object]() {"Series B", 3, 6, 4, 5})
        mydata.Rows.Add(New [Object]() {"Series C", 5, 8, 6, 7})
        mydata.Rows.Add(New [Object]() {"Series D", 7, 10, 7, 7})
        Return mydata
    End Function


    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Dim mydata As DataTable = GetColumnData()
        UltraChart1.DataSource = mydata
        UltraGrid1.DataSource = mydata
    End Sub

    Private Sub UltraButton1_Click(sender As System.Object, e As System.EventArgs) Handles UltraButton1.Click
        Dim book As New Workbook()

        Dim ugExcelExporter As New UltraGridExcelExporter()

        ugExcelExporter.Export(UltraGrid1, book)

        Dim s As Worksheet = book.Worksheets.Add("Chart")

        Dim ms As New System.IO.MemoryStream()

        UltraChart1.SaveTo(ms, Infragistics.UltraChart.Shared.Styles.RenderingType.Image)

        Dim i As New WorksheetImage(Image.FromStream(ms))

        i.TopLeftCornerCell = s.Rows(0).Cells(0)

        i.TopLeftCornerPosition = New PointF(0.0F, 0.0F)


        i.BottomRightCornerCell = s.Rows(20).Cells(6)

        i.BottomRightCornerPosition = New PointF(0.0F, 0.0F)

        s.Shapes.Add(i)



        book.Save("Test.xls")
        ms.Dispose()
        Process.Start("Test.xls")


    End Sub
End Class
